FD_DROP(1)

NAME
fd_drop - removes a value to a frame

SYNOPSIS
fd_drop frame slotid value Arguments are parsed by the conventions of fdshell(7)

DESCRIPTION
fd_add modifies the slot slotid of the frame frame to remove value

OPTIONS
fd_drop is implemented as an FDScript script, so its arguments may have CONFIG bindings, as well as accepting the flags -m -c -f to load modules, configs, and scheme files, as described in fdscript(1)

CONFIG VARIABLES

%POOL
    The default pool used for creating new frames

%POOLS
    The pools used by the fdshell(7) scripts; these determine which frames are accessible to access and searching

%INDICES
    The background indices used to search for frames with particular slotid/value combinations.

%INDEX
    The foreground index used by default to store newly created frame/slotid/value combinations. Note that this is only used when indices directly associated with the frame's pool are not available or not modifiable.

BUGS
It does not update the background indices to indicate the absence of value from slotid of frame

Revision Info
$Id: fd_drop.1,v 1.2 2002/04/02 22:21:06 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) fdshell(7)